'use strict'
const merge = require('webpack-merge')
const prodEnv = require('./prod.env')

module.exports = merge(prodEnv, {
  NODE_ENV: '"development"',
  OIDC_CLIENT_ID: '"174626"',
  API_STEERING: '"http://127.0.0.1:8000/api/v1/"',
  API_STEERING_SHOWS: '"http://127.0.0.1:8000/api/v1/shows/"',
  // OIDC endpoint of the pv/steering module
  API_STEERING_OIDC_URI: '"http://localhost:8000/openid"',
  // number of seconds before token gets invalid, when renewal should be started
  API_STEERING_OIDC_EXPIRE_NOTIFICATION: '120',
  // local callback handlers that are called by the pv/steering OIDC module after login/renwal
  API_STEERING_OIDC_REDIRECT_URI: '"http://localhost:8080/static/oidc_callback.html"',
  API_STEERING_OIDC_REDIRECT_URI_SILENT: '"http://localhost:8080/static/oidc_callback_silentRenew.html"',
  API_STEERING_OIDC_REDIRECT_URI_POPUP: '"http://localhost:8080/static/oidc_callback_popupRenew.html"',
  // address that is called by the pv/steering OIDC module after logout - should be the dashboard entry point
  API_STEERING_OIDC_REDIRECT_URI_POSTLOGOUT: '"http://localhost:8080"'
})
