function leadingZero (num) {
  if (num < 10) return '0' + num
  else return num.toString()
}

var day = [
  'Sunday',
  'Monday',
  'Tuesday',
  'Wednesday',
  'Thursday',
  'Friday',
  'Saturday'
]

var month = [
  'January',
  'February',
  'March',
  'April',
  'May',
  'June',
  'July',
  'August',
  'September',
  'October',
  'November',
  'December'
]

export default {
  methods: {
    apiDate: function (date) {
      var d = new Date(date)
      return d.getFullYear() + '-' + leadingZero(d.getMonth() + 1) + '-' + leadingZero(d.getDate())
    },
    prettyDate: function (date) {
      var d = new Date(date)
      var dstring = ''
      dstring += day[d.getDay()] + ', '
      dstring += leadingZero(d.getDate()) + '. '
      dstring += month[d.getMonth()] + ' '
      dstring += d.getFullYear()
      return dstring
    },
    prettyDateTime: function (date) {
      var d = new Date(date)
      /*
      // This is a simple numbered representation - have to decide which one to use in final design
      // note: Date.getMonth() returns the month as an index from 0 to 11
      return leadingZero(d.getDate()) + '.' + leadingZero(d.getMonth() + 1) + '.' + d.getFullYear() + ' ' + leadingZero(d.getHours()) + ':' + leadingZero(d.getMinutes())
      */
      var dstring = ''
      dstring += day[d.getDay()] + ', '
      dstring += leadingZero(d.getDate()) + '. '
      dstring += month[d.getMonth()] + ' '
      dstring += d.getFullYear() + ', '
      dstring += leadingZero(d.getHours()) + ':' + leadingZero(d.getMinutes())
      return dstring
    },
    prettyDuration: function (start, end) {
      var duration = (new Date(end).getTime() - new Date(start).getTime()) / 1000
      /*
      // This is the old notation in HH:MM - have to decide which one to use in final design
      var hours = Math.floor(duration / 60 / 60)
      var minutes = (duration / 60) % 60
      return leadingZero(hours) + ':' + leadingZero(minutes)
      */
      // Here we just return the duration in minutes
      return duration / 60
    }
  }
}
